### Function

# Atk StateType register

#### Declaration [src]

    AtkStateType
    atk_state_type_register (
      const gchar* name
    )

#### Description [src]

Register a new object state.

#### Parameters

`name`

  Type: `const gchar*`

  A character string describing the new state.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkStateType`

An `AtkState` value for the new state.